Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 588262 (CVE-2016-2119) - <net-fs/samba-{4.2.14,4.3.11,4.4.5}: man in the middle attack (CVE-2016-2119)
Summary: <net-fs/samba-{4.2.14,4.3.11,4.4.5}: man in the middle attack (CVE-2016-2119)
Status: RESOLVED FIXED
Alias: CVE-2016-2119
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [glsa+ cve]
Keywords:
Depends on: 542462 560146 CVE-2017-14746, CVE-2017-15275
Blocks: CVE-2017-7494
  Show dependency tree
 
Reported: 2016-07-07 21:03 UTC by Frank Krömmelbein
Modified: 2018-05-22 22:30 UTC (History)
2 users (show)

See Also:
Package list:
=net-fs/samba-4.2.14 =sys-libs/tevent-0.9.28
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Krömmelbein 2016-07-07 21:03:15 UTC
https://www.samba.org/samba/security/CVE-2016-2119.html

Subject: Client side SMB2/3 required signing can be downgraded
CVE ID#: CVE-2016-2119
Summary: A man in the middle attack can disable client signing
         over SMB2/3, even if enforced by configuration
         parameters.
Comment 1 GLSAMaker/CVETool Bot gentoo-dev 2016-07-18 09:50:42 UTC
CVE-2016-2119 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-2119):
  libcli/smb/smbXcli_base.c in Samba 4.x before 4.2.14, 4.3.x before 4.3.11,
  and 4.4.x before 4.4.5 allows man-in-the-middle attackers to bypass a
  client-signing protection mechanism, and consequently spoof SMB2 and SMB3
  servers, via the (1) SMB2_SESSION_FLAG_IS_GUEST or (2)
  SMB2_SESSION_FLAG_IS_NULL flag.
Comment 2 Thomas Deutschmann gentoo-dev Security 2016-11-18 23:51:39 UTC
This was addressed via https://gitweb.gentoo.org/repo/gentoo.git/commit/net-fs/samba?id=6c03f222f6a2f2551d50af0353a789fa4f6b104c


@ Maintainer(s): Please tell us how to proceed. Can we stabilize =net-fs/samba-4.3.11 and =net-fs/samba-4.5.1? 4.2.x is EOL and we shouldn't overload ARCH teams.
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2016-12-13 10:29:48 UTC
We still have the heimdal issue with >=net-fs/samba-4.3

we cannot build samba's AD component without heimdal.
Last I checked we did not even have a recent enough heimdal version in the tree that samba can compile against.
Furthermore we still need heimdal and mit-krb5 being installable in parallel...

To be honest when it comes to heimdal I don't want to be involved anymore. This is a package with high frustration factor which I'm not willing to take.
Comment 4 Thomas Deutschmann gentoo-dev Security 2016-12-22 02:11:10 UTC
@ Arches,

please test and mark stable: =net-fs/samba-4.2.14
Comment 5 Stabilization helper bot gentoo-dev 2017-01-04 08:29:02 UTC
An automated check of this bug failed - repoman reported dependency errors (11 lines truncated): 

> dependency.bad net-fs/samba/samba-4.2.14.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['>=sys-libs/tevent-0.9.28[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad net-fs/samba/samba-4.2.14.ebuild: RDEPEND: alpha(default/linux/alpha/13.0) ['>=sys-libs/tevent-0.9.28[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad net-fs/samba/samba-4.2.14.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop) ['>=sys-libs/tevent-0.9.28[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
Comment 6 Tobias Klausmann gentoo-dev 2017-01-05 16:06:07 UTC
Stable on alpha.
Comment 7 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2017-01-07 03:44:05 UTC
amd64 stable
Comment 8 Markus Meier gentoo-dev 2017-01-08 18:31:55 UTC
arm stable
Comment 9 Jeroen Roovers gentoo-dev 2017-01-14 23:26:00 UTC
Stable for HPPA.
Comment 10 Michael Weber (RETIRED) gentoo-dev 2017-02-22 21:55:26 UTC
ppc ppc64 stable.
Comment 11 Thomas Deutschmann gentoo-dev Security 2017-06-05 14:33:56 UTC
Superseded by bug 619516.
Comment 12 GLSAMaker/CVETool Bot gentoo-dev 2018-05-22 22:30:36 UTC
This issue was resolved and addressed in
 GLSA 201805-07 at https://security.gentoo.org/glsa/201805-07
by GLSA coordinator Aaron Bauman (b-man).